Bug 236131 - devel/gitlab-runner fails to compile after go 1.12 update
Summary: devel/gitlab-runner fails to compile after go 1.12 update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on: 236059
Blocks:
  Show dependency treegraph
 
Reported: 2019-03-01 14:05 UTC by Matthias Fechner
Modified: 2019-03-04 21:59 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (swills)


Attachments
patch-mknod.go (2.18 KB, text/plain)
2019-03-01 15:42 UTC, Walter Schwarzenfeld
no flags Details
patch-mknod.go_v2 (2.14 KB, text/plain)
2019-03-01 15:44 UTC, Walter Schwarzenfeld
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Fechner freebsd_committer 2019-03-01 14:05:11 UTC
Following error message is displayed:
===>  Building for gitlab-runner-11.7.0
executors/docker/bindata.go
# github.com/docker/docker/pkg/system
src/github.com/docker/docker/pkg/system/mknod.go:12:22: cannot use dev (type int) as type uint64 in argument to syscall.Mknod
*** Error code 2

Stop.
make: stopped in /usr/ports/devel/gitlab-runner

Full log can be found here:
https://pkg.fechner.net/data/120amd64-default/2019-03-01_14h50m47s/logs/errors/gitlab-runner-11.7.0.log
Comment 1 Walter Schwarzenfeld freebsd_triage 2019-03-01 14:23:28 UTC
Seems a similar error like in bug #236094.
Comment 2 Walter Schwarzenfeld freebsd_triage 2019-03-01 15:42:46 UTC
Created attachment 202479 [details]
patch-mknod.go
Comment 3 Walter Schwarzenfeld freebsd_triage 2019-03-01 15:44:54 UTC
Created attachment 202480 [details]
patch-mknod.go_v2

Remove a copy and paste error.
Comment 4 Matthias Fechner freebsd_committer 2019-03-01 18:20:14 UTC
Thanks for the patch, I reported it also upstream to get it fixed there too:
https://gitlab.com/gitlab-org/gitlab-runner/merge_requests/1223
Comment 5 Matthias Fechner freebsd_committer 2019-03-02 07:38:52 UTC
I reported this also upstream on docker:
https://github.com/moby/moby/pull/38818
Comment 6 commit-hook freebsd_committer 2019-03-04 21:58:19 UTC
A commit references this bug:

Author: swills
Date: Mon Mar  4 21:57:15 UTC 2019
New revision: 494656
URL: https://svnweb.freebsd.org/changeset/ports/494656

Log:
  devel/gitlab-runner: fix build after go 1.12 update

  PR:		236131
  Submitted by:	mfechner

Changes:
  head/devel/gitlab-runner/Makefile
  head/devel/gitlab-runner/files/patch-mknod.go
Comment 7 Steve Wills freebsd_committer 2019-03-04 21:59:27 UTC
Committed, thanks! Sorry, miscredited the patch on commit, will keep an eye on that.